Bug 103417 - asset streaminig issues with IE
asset streaminig issues with IE
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: 100952 103600
  Show dependency treegraph
 
Reported: 2003-08-29 18:05 EDT by Scott Seago
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 18:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2003-08-29 18:05:40 EDT
Description of problem:
IE often ignores the contentType header it seems. Adding the content-disposition
header seems to help the problem somewhat, although even with this, IE still
attempts to render text files as HTML in some cases.

My recent London fix (34599) fixes a problem in generating the filename for the
content-disposition header, but it looks as if the changes which this builds
upon are themselves not merged into the trunk (or 5.2). As such, rather than
merging this changelist, we'll probably need to merge all changes on
//ps/apps/london/cms/5.2/src/com/arsdigita/cms/dispatcher/StreamAsset.java


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Archit Shah 2003-09-17 11:49:22 EDT
The fix referred to is 35499, not 34599. The relevant issues addressed in the
london branch are:

1) returning not found errors (404) instead of ServletException (500)
2) setting extension (based on mime type, but avoid foo.ext.ext)
3) quoting filename (avoid client side processing issues for special characters)

I am also going to address code duplication between StreamAsset and
DownloadAsset, which needs the same set of fixes.
Comment 2 Archit Shah 2003-09-23 14:02:22 EDT
The london fixes have been integrated to 5.2 (@36268), 6.0 (@36273), and dev
(@36244 and 36269). There are apparently issues with some IE5.5 versions and the
content-disposition header that are not addressed by these patches. When those
issues come up, they will be handled.

Note You need to log in before you can comment on or make changes to this bug.